@import "../../style/miam.scss";

:host {
  ::-webkit-scrollbar {
    width: 5px;
    height: 7px;
    cursor: -webkit-grab;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    background: var(--m-color-grey);
  }

  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: var(--m-color-primary);
    border-radius: 5px;
  }
}

.miam-basket-preview-block {
  position: relative;

  .miam-basket-preview-block__recipe__link{
    position: absolute;  
    right: 300px;
    top: 60px;
    color: var(--m-color-grey-text);
    text-decoration: underline;
    position: absolute;
    transition: var(--m-default-transition);
    cursor: pointer;
   
  &:hover {   
      color: var(--m-color-primary);
    }
  }

  .miam-basket-preview-block__header {
    display: flex;
    justify-content: space-between;
    padding-bottom: 10px;
    margin-bottom: 0px;

    .miam-basket-preview-block__header__title {
      display: flex;
      flex-direction: row;
      align-items: center;

      .icon-container {
        margin: 0 10px;
      }

      .miam-basket-preview-block__header__text {
        cursor: pointer;
      }

    }
  
    .miam-basket-preview-block__header__actions {
      display: flex;
      align-items: center;
  
      .miam-basket-preview-block__header__empty-basket {
        margin-right: 20px;
  
        .fa-trash-alt {
          margin-right: 8px;
          width: 13px;
          margin-top: -1px;
        }
      }
  
      .miam-basket-preview-block__header__chevron {
        cursor: pointer;
        transition-duration: 0.5s;
        svg {
          width: 18px;
        }
      }
    
      .miam-basket-preview-block__chevron__down {
        transform: rotate(-180deg);
      }
    }
  }
  
  .miam-basket-preview-block__lines {
    transition: height 0.3s;
  
    .miam-basket-preview-block__lines__overlay {
      background:  #fff;
      opacity: 0.8;
      position: absolute;
      z-index:  var(--m-z-index-modal-overlay);
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      transition: opacity .2s linear;
    }
  
    .miam-basket-preview-block__lines__not-found {
      margin-top: 15px;
      margin-left: 20px;
    }

    .miam-basket-preview-block__lines__loader {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }
  }

  .miam-basket-preview-block__lines__loader{
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .miam-basket-preview-block__noPos {
    font-size: 17px;
  }
}